Update pull endpoint
const url = 'https://api.hookbridge.io/v1/pull-endpoints/01935abc-def0-7123-4567-890abcdef012';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","retention_days":1,"event_type_source":"body","event_type_path":"example","verify_static_token":true,"token_header_name":"example","token_query_param":"example","token_value":"example","verify_hmac":true,"hmac_header_name":"example","hmac_secret":"example","timestamp_header_name":"example","timestamp_ttl_seconds":1,"verify_ip_allowlist":true,"allowed_cidrs":["example"],"idempotency_header_names":["example"],"ingest_response_code":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.hookbridge.io/v1/pull-endpoints/01935abc-def0-7123-4567-890abcdef012 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "retention_days": 1, "event_type_source": "body", "event_type_path": "example", "verify_static_token": true, "token_header_name": "example", "token_query_param": "example", "token_value": "example", "verify_hmac": true, "hmac_header_name": "example", "hmac_secret": "example", "timestamp_header_name": "example", "timestamp_ttl_seconds": 1, "verify_ip_allowlist": true, "allowed_cidrs": [ "example" ], "idempotency_header_names": [ "example" ], "ingest_response_code": 1 }'Update pull endpoint configuration. Only provided fields are updated.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Pull endpoint identifier (UUIDv7)
Example
01935abc-def0-7123-4567-890abcdef012Request Bodyrequired
Section titled “Request Bodyrequired”Partial update — only provided fields are changed.
object
Set to empty string to clear event type extraction.
Responses
Section titled “Responses”Pull endpoint updated
object
object
URL to give to your webhook provider. Does not include the secret token suffix.
Whether the endpoint is active (not deleted).
Event counts (only on single-endpoint GET, not list)
object
object
Unique identifier for this request (useful for support)
Example
{ "data": { "mode": "pull", "event_type_source": "body" }, "meta": { "request_id": "req_xyz123" }}Invalid request
object
object
Machine-readable error code
Human-readable error message
object
Unique identifier for this request (useful for support)
Examples
Endpoint not found
{ "error": { "code": "ENDPOINT_NOT_FOUND", "message": "endpoint not found" }, "meta": { "request_id": "req_xyz123" }}Invalid endpoint ID format
{ "error": { "code": "INVALID_REQUEST", "message": "endpoint_id must be in format ep_xxx" }, "meta": { "request_id": "req_xyz123" }}Invalid payload
{ "error": { "code": "INVALID_REQUEST", "message": "payload must be valid JSON" }, "meta": { "request_id": "req_xyz123" }}Invalid headers
{ "error": { "code": "INVALID_HEADERS", "message": "header 'Host' is forbidden and cannot be overridden" }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
object
object
Machine-readable error code
Human-readable error message
object
Unique identifier for this request (useful for support)
Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Resource not found
object
object
Machine-readable error code
Human-readable error message
object
Unique identifier for this request (useful for support)
Example
{ "error": { "code": "NOT_FOUND", "message": "Message not found" }, "meta": { "request_id": "req_xyz123" }}Enter your credentials to populate code examples throughout the docs.